#ifndef __ZOOM_STR
#define __ZOOM_STR



#pragma pack(1)
struct ZoomParam
{
   int GridX,GridY;
   COLORREF BgColor;
   COLORREF ZoomColor;
   COLORREF CursorColor;
   COLORREF ZoomGridColor;
   void Set(int nx, int ny, COLORREF bc, COLORREF zc, COLORREF cc, COLORREF zg)
   {
      GridX=nx; GridY=ny;
      BgColor=bc; ZoomColor=zc; CursorColor=cc; ZoomGridColor=zg;
   }
};


struct ZoomScale
{
   float Xmin;
   float Xmax;
   float Ymin;
   float Ymax;
   float Rmax;
   float Rmin;
   int Width;     // How much digits in scale subscription
   char *Format;  // Format string
   void Set( float xmi=-1, float xma=1, float ymi=-1, float yma=1,
             float rmi=-1, float rma=1, int w=10, char *f="%-10.1f" )
   {
      Xmin=xmi; Xmax=xma; Ymin=ymi; Ymax=yma;
      Rmin=rmi; Rmax=rma; Width=w; Format=f;
   }
};

struct OSCInfo
{
   int CIndex;
   int IndexMin, IndexMax;
   ZoomScale Scale;
};
#pragma pack()

#endif